/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftokt18
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftokt18` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftokt18`;

/*Table structure for table `korisnik` */

DROP TABLE IF EXISTS `korisnik`;

CREATE TABLE `korisnik` (
  `KorisnikID` int(11) NOT NULL,
  `ImePrezime` varchar(255) DEFAULT NULL,
  `KorisnickoIme` varchar(255) DEFAULT NULL,
  `Lozinka` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`KorisnikID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `korisnik` */

insert  into `korisnik`(`KorisnikID`,`ImePrezime`,`KorisnickoIme`,`Lozinka`) values (1,'Petar Petrovic','petar','petar123'),(2,'Ivana Ivanovic','ivana','ivana123'),(3,'Dragan Dragic','dragan','dragan123'),(4,'Jelena Jelic','jelena','jelena123');

/*Table structure for table `kupovina` */

DROP TABLE IF EXISTS `kupovina`;

CREATE TABLE `kupovina` (
  `KorisnikID` int(11) NOT NULL,
  `UtakmicaID` int(11) NOT NULL,
  `BrojKupljenihKarata` int(11) DEFAULT NULL,
  PRIMARY KEY (`KorisnikID`,`UtakmicaID`),
  KEY `UtakmicaID` (`UtakmicaID`),
  CONSTRAINT `kupovina_ibfk_1` FOREIGN KEY (`KorisnikID`) REFERENCES `korisnik` (`KorisnikID`),
  CONSTRAINT `kupovina_ibfk_2` FOREIGN KEY (`UtakmicaID`) REFERENCES `utakmica` (`UtakmicaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `kupovina` */

/*Table structure for table `tim` */

DROP TABLE IF EXISTS `tim`;

CREATE TABLE `tim` (
  `TimID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `GodinaOsnivanja` int(11) DEFAULT NULL,
  PRIMARY KEY (`TimID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tim` */

insert  into `tim`(`TimID`,`Naziv`,`GodinaOsnivanja`) values (1,'Liverpul',1892),(2,'Crvena Zvezda',1945),(3,'Napoli',1926),(4,'PSG',1970);

/*Table structure for table `utakmica` */

DROP TABLE IF EXISTS `utakmica`;

CREATE TABLE `utakmica` (
  `UtakmicaID` int(11) NOT NULL,
  `TimDomacinID` int(11) DEFAULT NULL,
  `TimGostID` int(11) DEFAULT NULL,
  `CenaKarte` decimal(10,2) DEFAULT NULL,
  `UkupnoKarata` int(11) DEFAULT NULL,
  `VrstaTakmicenjaID` int(11) DEFAULT NULL,
  PRIMARY KEY (`UtakmicaID`),
  KEY `TimDomacinID` (`TimDomacinID`),
  KEY `TimGostID` (`TimGostID`),
  KEY `VrstaTakmicenjaID` (`VrstaTakmicenjaID`),
  CONSTRAINT `utakmica_ibfk_1` FOREIGN KEY (`TimDomacinID`) REFERENCES `tim` (`TimID`),
  CONSTRAINT `utakmica_ibfk_2` FOREIGN KEY (`TimGostID`) REFERENCES `tim` (`TimID`),
  CONSTRAINT `utakmica_ibfk_3` FOREIGN KEY (`VrstaTakmicenjaID`) REFERENCES `vrstatakmicenja` (`VrstaTakmicenjaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `utakmica` */

insert  into `utakmica`(`UtakmicaID`,`TimDomacinID`,`TimGostID`,`CenaKarte`,`UkupnoKarata`,`VrstaTakmicenjaID`) values (1,1,4,'3000.00',20000,1),(2,2,3,'2000.00',25000,1),(3,4,2,'2500.00',30000,1),(4,3,1,'4000.00',50000,1),(5,4,3,'2000.00',18000,1),(6,1,2,'4500.00',22000,1),(7,2,1,'1800.00',17000,1),(8,3,4,'2700.00',21500,1),(9,4,1,'1550.00',35000,1),(10,3,2,'1700.00',11000,1),(11,1,3,'2500.00',25000,1),(12,2,4,'4000.00',35000,1);

/*Table structure for table `vrstatakmicenja` */

DROP TABLE IF EXISTS `vrstatakmicenja`;

CREATE TABLE `vrstatakmicenja` (
  `VrstaTakmicenjaID` int(11) NOT NULL,
  `NazivTakmicenja` varchar(255) DEFAULT NULL,
  `Sport` varchar(255) DEFAULT NULL,
  `AktivnaProdaja` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`VrstaTakmicenjaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `vrstatakmicenja` */

insert  into `vrstatakmicenja`(`VrstaTakmicenjaID`,`NazivTakmicenja`,`Sport`,`AktivnaProdaja`) values (1,'Liga Sampiona','Fudbal',0),(2,'Liga Evrope','Fudbal',0);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
